org.eclipse.ui.views.markers

## Class MarkerSupportConstants

- java.lang.Object
- - org.eclipse.ui.views.markers.MarkerSupportConstants

    public class MarkerSupportConstants
    extends Object

MarkerSupportConstants is a static class that supplies commonly used constants.

Since:
  3.4

### Field Summary

Fields
`static String` `CONTAINS_KEY` The constant used to specify the contains value on a `FiltersContributionParameters`
`static String` `DOES_NOT_CONTAIN_KEY` The constant used to specify the does not contain value on a `FiltersContributionParameters`

### Constructor Summary

Constructors
Constructor and Description
`MarkerSupportConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONTAINS_KEY

    public static final String CONTAINS_KEY

The constant used to specify the contains value on a `FiltersContributionParameters`

See Also:
  Constant Field Values

#### DOES_NOT_CONTAIN_KEY

    public static String DOES_NOT_CONTAIN_KEY

The constant used to specify the does not contain value on a `FiltersContributionParameters`

### Constructor Detail

#### MarkerSupportConstants

    public MarkerSupportConstants()